> ## Documentation Index
> Fetch the complete documentation index at: https://docs.selcor.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Staff

> Returns staff/providers for the location. Shape varies by connector type (NexHealth vs Native).



## OpenAPI

````yaml https://api.selcor.ai/v1/openapi.json get /v1/workspaces/{workspaceId}/locations/{locationId}/staff
openapi: 3.1.0
info:
  title: Selcor Partner API
  version: 0.1.0
  description: API for managing workspaces, locations, voice agents, and relay executions.
servers:
  - url: https://api.selcor.ai
    description: Production
security:
  - bearerAuth: []
paths:
  /v1/workspaces/{workspaceId}/locations/{locationId}/staff:
    get:
      tags:
        - Staff
      summary: List Staff
      description: >-
        Returns staff/providers for the location. Shape varies by connector type
        (NexHealth vs Native).
      responses:
        '200':
          description: Staff list
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/StaffMember'
                  request_id:
                    type: string
                required:
                  - data
                  - request_id
      security:
        - bearerAuth: []
components:
  schemas:
    StaffMember:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        first_name:
          type: string
          nullable: true
        last_name:
          type: string
          nullable: true
        email:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        npi:
          type: string
          nullable: true
        specialty:
          type: string
          nullable: true
        is_active:
          type: boolean
      required:
        - id
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: 'API key in format: sk_live_...'

````